lev.gui

## Interface LProgressBarInterface

- All Known Implementing Classes:
    LProgressBar, LProgressBarFrame

      public interface LProgressBarInterface

  Interface that SkyProc expects and uses for progress bars.
  To get progress bar updates from SkyProc importing/exporting, create your own progress bar GUI, and implement this interface. Then set SPProgressBarPlug to your GUI instance.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `done()` Sets the current value to the max value (100%).
    `int` | `getBar()`
    `int` | `getMax()`
    `void` | `incrementBar()` Increments the progress bar one unit.
    `void` | `pause(boolean on)` Block the progress bar from updating.
    `boolean` | `paused()`
    `void` | `reset()` Resets the progress bar to zero of max.
    `void` | `setBar(int in)`
    `void` | `setMax(int in)`
    `void` | `setMax(int in, java.lang.String status)`
    `void` | `setStatus(java.lang.String status)`
    `void` | `setStatusNumbered(int cur, int max, java.lang.String status)` Updates the progress bar status text to display: ([cur]/[max]) [status]
    `void` | `setStatusNumbered(java.lang.String status)` Updates the progress bar status text to display the current step in the form of: ([cur]/[max]) [status]

- - ### Method Detail

    - #### setMax

          void setMax(int in)

      Parameters:
        `in` - Value to set as the max unit value of the progress bar.

    - #### setMax

          void setMax(int in,
                    java.lang.String status)

      Parameters:
        `in` - Value to set as the max unit value of the progress bar.
        `status` - String to set as the status of the progress bar.

    - #### setStatus

          void setStatus(java.lang.String status)

      Parameters:
        `status` - String to set as the status of the progress bar.

    - #### setStatusNumbered

          void setStatusNumbered(int cur,
                               int max,
                               java.lang.String status)

      Updates the progress bar status text to display:
      ([cur]/[max]) [status]
      Parameters:
        `cur` -
        `max` -
        `status` -

    - #### setStatusNumbered

          void setStatusNumbered(java.lang.String status)

      Updates the progress bar status text to display the current step in the form of:
      ([cur]/[max]) [status]
      Parameters:
        `status` -

    - #### incrementBar

          void incrementBar()

      Increments the progress bar one unit.

    - #### reset

          void reset()

      Resets the progress bar to zero of max.

    - #### setBar

          void setBar(int in)

      Parameters:
        `in` - value to set the progress bar at.

    - #### getBar

          int getBar()

      Returns:
        Current value of the bar

    - #### getMax

          int getMax()

      Returns:
        Current max value of the bar

    - #### pause

          void pause(boolean on)

      Block the progress bar from updating.
      Parameters:
        `on` -

    - #### paused

          boolean paused()

      Returns:
        Whether the progress bar is accepting updates.

    - #### done

          void done()

      Sets the current value to the max value (100%).